Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005670TestLinkAPI - XMLRPCpublic2013-04-30 11:012014-07-28 20:33
Reportert_lo 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0005670: New xmlrpc call: assignTestCaseExecution
DescriptionWe noted that there is no possibility to assign test case execution of a specific build via xmlrpc. So after we (auto-)created a build and (auto-)executed the test cases for that build (which happen to not be assigned to any user), we would not get the test results displayed. In order to completely automate build and execution, we would like to propose an API extension, assignTestCaseExecution.

Here's the call signature:

assignTestCaseExecution ( Test Project, Test Plan, Platform, Ext. Test Case ID, Build name, user name )

I'm planning to allow for usage of descriptive names for each option (i.e. no DB IDs) in order to keep the API abstracted from the back-end database.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0018838)
weedbeat (reporter)
2013-05-02 09:46

will take care of implementation, in case this rewquest gets approved.
(0018840)
t_lo (reporter)
2013-05-02 09:57

Does our proposal meet the requirements for inclusion into the TestLink xmlrpc API? If so, then it would be great if we could assign this issue to weedbeat; he'll take care of the implementation, and would report back w/ patches.
(0018844)
fman (administrator)
2013-05-02 14:45

Go ahead
Proceed this way

1. clone our gitorious repo (testlink_1_9)
2. when work will be finished create a MERGE REQUEST
3. please follow standard naming convention already in use on the file you ar going to change


I do not work with patches
(0018858)
t_lo (reporter)
2013-05-03 11:46

Okay, we're on it.
(0018983)
fman (administrator)
2013-05-20 18:55

any news ?
(0019032)
t_lo (reporter)
2013-05-27 11:54

Currently churning through a jungle of backlog items on our side, sorry :)
We have it scheduled and should be able to start working on the implementation this week.
Anyways, thanks for asking!
(0019209)
t_lo (reporter)
2013-07-04 13:45

This whole project just died at Profitbricks, I'm sorry.

TestLink in general was sacked; we're currently checking out alternatives. I understand that first volunteering for work and then not delivering pretty much sucks from a project's perspective. Sorry for the mess.
(0019211)
fman (administrator)
2013-07-04 17:52

do not worry, sometimes things goes this way.
I would like just to ask you a favor:

please explain me why people do not like TestLink, this will be useful for the future (right know people from germany Cortado Team has adopted TL as it's tool).
In addition please let me know what will be the next choice.
(0019360)
fman (administrator)
2013-08-05 10:45

would you mind to provide requested info ?
(0019591)
fman (administrator)
2013-09-09 20:46

would you mind to provide requested info ?
(0019620)
fman (administrator)
2013-09-14 07:06

would you mind to provide requested info ?
(0019656)
fman (administrator)
2013-09-17 21:15

would you mind to provide requested info ?
(0019707)
fman (administrator)
2013-09-25 21:30

would you mind to provide requested info ?
(0019739)
fman (administrator)
2013-10-01 19:37

would you mind to provide requested info ?
(0019791)
fman (administrator)
2013-10-08 18:24

would you mind to provide requested info ?
(0020451)
rehmanz (reporter)
2014-02-15 16:38

Any updates on this feature? I would really like to see this in action. We need this for our reporting! Thank you so much....
(0020452)
fman (administrator)
2014-02-15 17:58

@rehmanz
you can see for yourself: who has proposed himself to solve it has never provided info regarding how they have choose another tool.
From TestLink Dev team point of view this feature request has ETA.
If you want to contribute developing it is ok.
If you have no the skills to develope it, you need it and want to contribute sponsoring (paying for the development) contact us.

- Issue History
Date Modified Username Field Change
2013-04-30 11:01 t_lo New Issue
2013-05-02 09:46 weedbeat Note Added: 0018838
2013-05-02 09:57 t_lo Note Added: 0018840
2013-05-02 14:45 fman Note Added: 0018844
2013-05-03 11:46 t_lo Note Added: 0018858
2013-05-20 18:55 fman Note Added: 0018983
2013-05-27 11:54 t_lo Note Added: 0019032
2013-07-04 13:45 t_lo Note Added: 0019209
2013-07-04 17:52 fman Note Added: 0019211
2013-08-05 10:45 fman Note Added: 0019360
2013-09-09 20:46 fman Note Added: 0019591
2013-09-14 07:06 fman Note Added: 0019620
2013-09-17 21:15 fman Note Added: 0019656
2013-09-25 21:30 fman Note Added: 0019707
2013-10-01 19:37 fman Note Added: 0019739
2013-10-08 18:24 fman Note Added: 0019791
2014-02-15 16:38 rehmanz Note Added: 0020451
2014-02-15 17:58 fman Note Added: 0020452
2014-06-07 18:06 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-06-07 18:06 fman Status new => resolved
2014-06-07 18:06 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-06-07 18:06 fman Resolution open => fixed
2014-06-07 18:06 fman Assigned To => fman
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker